Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 600545 - improve audit trail for plugin configuration
improve audit trail for plugin configuration
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 20:16 EDT by Joseph Marques
Modified: 2010-08-12 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-04 20:16:46 EDT
Description of feature:

Improve the audit trail for resource-level and group-level plugin configuration updates.  If there is a failure, add a link which will pop open a modal panel to show the full stack trace or error message captured during processing.  Also, might as well add some eye candy while we're at it - prefix an appropriate icon for success/failure in the status column.
Comment 1 Joseph Marques 2010-06-04 20:24:54 EDT
commit 2b3c1282337dbb965a1c4bed0f3fcfc4a4395eda
Author: Joseph Marques <joseph@redhat.com>
Date:   Fri Jun 4 20:21:57 2010 -0400

BZ-600545: display details of plugin configuration update errors, add icons to status column
Comment 2 Corey Welton 2010-06-07 08:26:25 EDT
Testing required for this feature - at least off the top of my head:
Resource level
* Failure link opens modal window 
* Modal window contains stack track/error message
* Successful config changes show appropriate icon in status column
* Failed config changes show appropriate icon in status column

(execute on multiple types of resources?)

Group level
* Failure link opens modal window 
* Modal window contains stack track/error message
* Successful config changes show appropriate icon in status column
* Failed config changes show appropriate icon in status column

(execute on multiple group types - may not be applicable to mixed groups, but perhaps dyna...)
Comment 3 Sunil Kondkar 2010-06-14 07:59:09 EDT
Verified on Jon build#210

Observed update configuration audit trail at resource level and at group level:

In 'Configuration->History' tab, a link 'Failure' is displayed for 'Individual Resource Update' type and for 'Group Update Member' type. clicking on 'Failure' link opens a modal window which displays the stack trace. 
The summary tab of the resource displays success/failure icons in 'Recent Configuration Updates' section.
Comment 4 Corey Welton 2010-08-12 12:49:02 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.